Issue #378 resolved

0.6.42 fails to install with python 2.4

Joshua Root
created an issue

Install fails like so:

Traceback (most recent call last):
  File "setup.py", line 232, in ?
    scripts = scripts,
  File "/opt/local/lib/python2.4/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/opt/local/lib/python2.4/distutils/dist.py", line 946, in run_commands
    self.run_command(cmd)
  File "/opt/local/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "/opt/local/var/macports/build/_opt_mports_dports_python_py-distribute/py24-distribute/work/distribute-0.6.42/setuptools/command/install.py", line 53, in run
    return _install.run(self)
  File "/opt/local/lib/python2.4/distutils/command/install.py", line 510, in run
    self.run_command(cmd_name)
  File "/opt/local/lib/python2.4/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/opt/local/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "/opt/local/var/macports/build/_opt_mports_dports_python_py-distribute/py24-distribute/work/distribute-0.6.42/setuptools/command/install_scripts.py", line 15, in run
    from setuptools.command.easy_install import get_script_args
  File "/opt/local/var/macports/build/_opt_mports_dports_python_py-distribute/py24-distribute/work/distribute-0.6.42/setuptools/command/easy_install.py", line 36, in ?
    from setuptools.package_index import PackageIndex
  File "/opt/local/var/macports/build/_opt_mports_dports_python_py-distribute/py24-distribute/work/distribute-0.6.42/setuptools/package_index.py", line 15
    from .py24compat import wraps
         ^
SyntaxError: invalid syntax

Later python versions work fine.